STIME(2)

NAME
stime - set time

SYNOPSIS
#define _SVID_SOURCE /* glibc2 needs this */
#include <time.h>

int stime(time_t *t);

DESCRIPTION
stime() sets the system's idea of the time and date. Time, pointed to by t, is measured in seconds from 00:00:00 GMT January 1, 1970. stime() may only be executed by the superuser.

RETURN VALUE
On success, zero is returned. On error, -1 is returned, and errno is set appropriately.

ERRORS

EFAULT
    Error in getting information from user space.

EPERM
    The calling process has insufficient privilege. Under Linux the CAP_SYS_TIME privilege is required.

CONFORMING TO
SVr4.

NOTES
Under glibc2, <time.h> only provides a prototype when _SVID_SOURCE is defined.

SEE ALSO
date(1), settimeofday(2), capabilities(7), feature_test_macros(7)